Subject: FITS table version numbers.

From: mcs at goblin.caltech.edu (Martin Shepherd)
Date: 27 Nov 1993 09:01:30 GMT

For the sake of argument, say that one has a FITS file containing a
number of table extensions which all have the same EXTNAME name, but
some are represented as ASCII tables and others as binary tables.

My question is should the EXTVER numbers be distinct regardless of the
representation of the table, or should the ASCII table versions follow
a different sequence of EXTVER numbers than the binary table versions?

Until today my assumption had been that ASCII and binary table
extensions were effectively just specific implementations of a generic
(non-instantiable) table extension, and that regardless of the
representation, the EXTVER numbers would be distinct if the tables had
the same EXTNAME and EXTLEV values. Having now encountered a FITS file
that doesn't fit this point of view, I am now questioning the validity
of this assumption before making the necessary modifications to my
software.

Martin Shepherd  (mcs at phobos.caltech.edu)